local fs = {}

function fs.getCurrentPath()
  local currentBuffer = vim.fn.expand("%")
  print(currentBuffer)
end

function fs.getRootPath()
  local initialArguments = vim.v.argv
  local requestedFile = initialArguments[#initialArguments]

  local path = vim.fs.abspath(requestedFile)

  if vim.fn.isdirectory(path) == 1 then
    return path
  end

  return LazyVim.root()
end

return fs
